Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006440TestLinkAPI - XMLRPCpublic2014-07-13 20:332014-07-28 20:31
Reporterlczub 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0006440: (gitoriuos code) assignTestCaseExecutionTask does not assign user
DescriptionProblem with latest TL DEV1.9.11 code from gitorious ( commit 83fe08b ):
- calling xml-rpc api method assignTestCaseExecutionTask does not assign a user

reason is, that method assignTestCaseExecutionTask does not call
    $assignment_mgr->assign($oo)
    
Additional Informationsuggestion for a fix (see // start|end add )

  public function assignTestCaseExecutionTask($args)
  {
   ...
      $oo[$link['feature_id']]['build_id'] = $execContext['build_id'];
      
      // start add
      $assignment_mgr->assign($oo);
      // end add
      
      $resultInfo = array("status" => true, "args" => $this->args);
      unset($resultInfo['args']['devKey']);
    }

    return $status_ok ? $resultInfo : $this->errors;
  }
TagsNo tags attached.
Database (MySQL,Postgres,etc)postgres 9.2
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006331closedfman  Assign test case execution XMLRPC method 

-  Notes
(0021271)
fman (administrator)
2014-07-14 17:56

thanks and apologize for the BIG MISTAKE
(0021272)
fman (administrator)
2014-07-14 17:58

https://gitorious.org/testlink-ga/testlink-code/commit/8eb3ad81d1d8424cbb6d08d85c43222febf51ddf [^]

- Issue History
Date Modified Username Field Change
2014-07-13 20:33 lczub New Issue
2014-07-14 17:56 fman Note Added: 0021271
2014-07-14 17:58 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-07-14 17:58 fman Note Added: 0021272
2014-07-14 17:58 fman Status new => resolved
2014-07-14 17:58 fman Resolution open => fixed
2014-07-14 17:58 fman Assigned To => fman
2014-07-15 19:50 fman Relationship added related to 0006331
2014-07-28 20:31 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker